# $Revision: 1.110 $, $Date: 2011/10/09 15:48:55 $
# TODO: optflags
#
# Conditional build:
%bcond_without	introspection	# disable introspection

Summary:	Port of WebKit embeddable web component to GTK+
Summary(pl.UTF-8):	Port osadzalnego komponentu WWW WebKit do GTK+
Name:		gtk-webkit
Version:	1.2.7
Release:	7
License:	BSD-like
Group:		X11/Libraries
Source0:	http://webkitgtk.org/webkit-%{version}.tar.gz
# Source0-md5:	25c7e548b65aeb6d83c0182c32ef0927
Patch0:		gobject-introspection.patch
URL:		http://webkitgtk.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	cairo-devel >= 1.6
BuildRequires:	cairo-gobject-devel >= 1.6
BuildRequires:	enchant-devel >= 0.22
BuildRequires:	flex >= 2.5.33
BuildRequires:	fontconfig-devel >= 2.4.0
BuildRequires:	freetype-devel >= 1:2.1.8
BuildRequires:	geoclue-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.22.0
BuildRequires:	glibc-misc
%{?with_introspection:BuildRequires:	gobject-introspection-devel >= 0.9.5}
BuildRequires:	gperf
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.25
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	libicu-devel >= 4.2.1
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libsoup-devel >= 2.30.2-4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	libxslt-devel >= 1.1.7
BuildRequires:	pango-devel >= 1:1.12
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	xorg-lib-libXt-devel
Requires:	cairo >= 1.6
Requires:	enchant >= 0.22
Requires:	gstreamer-plugins-base >= 0.10.25
Requires:	gtk+2 >= 2:2.20.0
Requires:	libsoup >= 2.30.0
Requires:	libxml2 >= 1:2.6.30
Requires:	libxslt >= 1.1.7
Requires:	pango >= 1:1.12
%{?with_introspection:Conflicts:	gir-repository < 0.6.5-7}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
webkit is a port of the WebKit embeddable web component to GTK+.

%description -l pl.UTF-8
webkit to port osadzalnego komponentu WWW WebKit do GTK+.

%package devel
Summary:	Development files for WebKit
Summary(pl.UTF-8):	Pliki programistyczne WebKit
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.6
Requires:	enchant-devel >= 0.22
Requires:	fontconfig-devel >= 2.4.0
Requires:	freetype-devel >= 1:2.1.8
Requires:	geoclue-devel
Requires:	glib2-devel >= 1:2.22.0
Requires:	gstreamer-devel >= 0.10
Requires:	gstreamer-plugins-base-devel >= 0.10.25
Requires:	gtk+2-devel >= 2:2.20.0
Requires:	libicu-devel >= 4.2.1
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libsoup-devel >= 2.30.0
Requires:	libstdc++-devel
Requires:	libxml2-devel >= 1:2.6.30
Requires:	libxslt-devel >= 1.1.7
Requires:	pango-devel >= 1:1.12
Requires:	sqlite3-devel
Requires:	xorg-lib-libXt-devel

%description devel
Development files for WebKit.

%description devel -l pl.UTF-8
Pliki programistyczne WebKit.

%prep
%setup -q -n webkit-%{version}
%patch0 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I autotools
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-3D-transforms \
	--enable-dom-storage \
	--enable-geolocation \
	--enable-icon-database \
	--%{!?with_introspection:dis}%{?with_introspection:en}able-introspection \
	--enable-video \
	--with-font-backend=freetype

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libwebkit-1.0.la

%find_lang webkit

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f webkit.lang
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/jsc
%attr(755,root,root) %{_libdir}/libwebkit-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebkit-1.0.so.2
%if %{with introspection}
%{_libdir}/girepository-1.0/JSCore-1.0.typelib
%{_libdir}/girepository-1.0/WebKit-1.0.typelib
%endif
%dir %{_datadir}/webkit-1.0
%{_datadir}/webkit-1.0/images
%{_datadir}/webkit-1.0/resources
%{_datadir}/webkit-1.0/webinspector

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwebkit-1.0.so
%if %{with introspection}
%{_datadir}/gir-1.0/JSCore-1.0.gir
%{_datadir}/gir-1.0/WebKit-1.0.gir
%endif
%{_includedir}/webkit-1.0
%{_pkgconfigdir}/webkit-1.0.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtk-webkit.spec,v $
Revision 1.110  2011/10/09 15:48:55  wiget
- rel. 7

Revision 1.109  2011/04/06 08:29:46  wiget
- force make -j1
- rel. 6

Revision 1.108  2011/04/06 07:43:38  wiget
- BR: cairo-gobject-devel
- rel. 5

Revision 1.107  2011/04/06 07:09:37  wiget
- drop libtool file

Revision 1.106  2011/03/20 18:39:33  qboosh
- proper order of lt/ac/am calls to avoid rebuilding again on make stage

Revision 1.105  2011/03/20 18:05:19  arekm
- release 3

Revision 1.104  2011/02/26 07:38:54  arekm
- release 2

Revision 1.103  2011/02/13 02:50:40  wiget
- 1.2.7

Revision 1.102  2011/01/17 17:59:17  qboosh
- package ChangeLog
- versioned runtime deps

Revision 1.101  2010/12/28 14:12:50  atler
- remove indirect Requires
- rel 4

Revision 1.100  2010/12/28 13:02:20  atler
- correct pango Requires for -devel (thx SamChi)

Revision 1.99  2010/12/28 12:55:58  atler
- Requires for -devel to satisfy *.la dependencies
- rel 3

Revision 1.98  2010/09/25 13:44:32  patrys
- build with new gir format
- rel 2

Revision 1.97  2010/09/06 13:29:17  pawelz
- up to 1.2.4

Revision 1.96  2010/07/19 11:33:44  pawelz
- up to 1.2.3
- dropped icu44.patch (applied upstread)

Revision 1.95  2010/07/14 12:32:33  glen
- fix gir file, thx patrys

Revision 1.94  2010/07/13 14:24:12  glen
- introspection bcond

Revision 1.93  2010/07/13 09:50:54  pawelz
- up to 1.2.2

Revision 1.92  2010/07/13 09:28:01  patrys
- rebuild with latest gir
- rel 6

Revision 1.91  2010/07/13 08:17:49  glen
- release 5

Revision 1.90  2010/07/01 16:48:38  patrys
- more features, updated deps

Revision 1.89  2010/06/30 21:00:02  shadzik
- add -icu44.patch
- rel 4
- updated libicu BR

Revision 1.88  2010/06/30 19:13:07  shadzik
- rel 3

Revision 1.87  2010/06/15 08:39:48  hawk
- release 2

Revision 1.86  2010/05/15 23:24:43  sparky
- BR: glibc-misc (ldd used by libtool)

Revision 1.85  2010/05/15 17:03:08  pawelz
- up to 1.2.1

Revision 1.84  2010/04/09 15:04:20  pawelz
- rel 4

Revision 1.83  2010/04/08 16:02:23  megabajt
- fixed gtk+2 epoch

Revision 1.82  2010/04/08 08:17:04  pawelz
- BR: gtk+2-devel >= 2.20.0
- R: gtk+2 >= 2.20.0
- rel 3

Revision 1.81  2010/04/07 17:37:46  pawelz
- previous commit was rel 2 (added to commit log)

Revision 1.80  2010/04/07 17:36:59  pawelz
- C: gir-repository < 0.6.5-7
- rel 2

Revision 1.79  2010/04/07 14:29:49  megabajt
- BR: gir-repository-devel

Revision 1.78  2010/04/07 13:20:47  megabajt
- merged from DEVEL

Revision 1.74.2.7  2010/04/07 13:18:11  megabajt
- updated to 1.2.0

Revision 1.74.2.6  2010/03/23 23:19:32  pawelz
- up to 1.1.90

Revision 1.77  2010/03/08 13:28:06  hawk
- release 3

Revision 1.74.2.5  2010/02/13 22:22:16  pawelz
- up to 1.1.21

Revision 1.74.2.4  2010/02/08 13:36:53  pawelz
- up to 1.1.20

Revision 1.74.2.3  2010/02/01 23:34:39  pawelz
- rel 1

Revision 1.74.2.2  2010/02/01 22:59:59  pawelz
- up to 1.1.19

Revision 1.76  2010/01/29 01:43:48  sparky
- BR: gettext-devel

Revision 1.75  2010/01/28 17:04:35  megabajt
- release 2

Revision 1.74.2.1  2010/01/11 12:56:07  pawelz
- development release (1.1.18)

Revision 1.74  2009/12/30 10:51:44  uzsolt
- 1.1.15.4
- rel 1

Revision 1.73  2009/11/12 12:01:04  patrys
- rebuild
- rel 2

Revision 1.72  2009/10/23 21:53:48  draenog
- 1.1.15.3
- missing R: libicu-devel for devel package

Revision 1.71  2009/10/14 14:34:16  patrys
- 1.1.15.2

Revision 1.70  2009/09/27 16:58:57  megabajt
- updated to 1.1.15.1

Revision 1.69  2009/09/23 12:36:38  patrys
- merged DEVEL

Revision 1.68  2009/09/23 07:15:09  arekm
- release 2

Revision 1.67  2009/09/22 10:48:22  glen
- BR: glib-2.0 >= 2.21.3

Revision 1.66  2009/09/09 04:35:54  aredridel
- 1.1.14

Revision 1.65.2.4  2009/09/09 10:43:44  patrys
- 1.1.14

Revision 1.65.2.3  2009/08/26 08:35:00  patrys
- 1.1.13

Revision 1.65.2.2  2009/08/08 16:38:47  patrys
- 1.1.12

Revision 1.65.2.1  2009/07/16 08:30:43  patrys
- 1.1.11 (stable)
- requires libsoup from DEVEL

Revision 1.65  2009/07/11 19:55:31  arekm
- release 2

Revision 1.64  2009/06/28 19:26:32  patrys
- 1.1.10

Revision 1.63  2009/06/15 09:17:05  patrys
- 1.1.9

Revision 1.62  2009/05/20 10:14:28  patrys
- 1.1.7

Revision 1.61  2009/05/01 13:12:38  witekfl
- up to 1.1.6

Revision 1.60  2009/04/17 11:04:57  patrys
- 1.1.5

Revision 1.59  2009/03/30 23:50:35  patrys
- 1.1.4

Revision 1.58  2009/03/17 14:45:11  patrys
- rel 2

Revision 1.57  2009/03/17 14:44:04  patrys
- no it uses .2

Revision 1.56  2009/03/17 14:28:00  patrys
- uses old soname

Revision 1.55  2009/03/17 14:27:44  patrys
- 1.1.3

Revision 1.54  2009/03/17 13:34:56  patrys
- merged from DEVEL

Revision 1.53.2.2  2009/03/08 16:59:03  patrys
- fix packaging
- use freetype backend as pango backend is obsolete

Revision 1.53.2.1  2009/03/02 17:13:19  patrys
- 1.1.1 stable
- requires new libsoup so it has to wait on DEVEL

Revision 1.53  2009/02/08 22:14:02  megabajt
- added CVE reference

Revision 1.52  2009/01/21 10:57:50  vip
- up to r40023

Revision 1.51  2008/11/19 22:57:27  patrys
- 1.0.3 [fixes CVE-2008-6059]

Revision 1.50  2008/11/09 19:18:40  megabajt
- release 2

Revision 1.49  2008/10/23 11:33:13  witekfl
- new snap

Revision 1.48  2008/10/05 14:07:07  arekm
- up to r37306

Revision 1.47  2008/10/01 18:44:26  patrys
- current snap

Revision 1.46  2008/09/08 10:13:12  patrys
- r36247

Revision 1.45  2008/08/23 00:47:47  patrys
- current snap

Revision 1.44  2008/07/19 15:16:49  megabajt
- oops, commited wrong version; updated to r35231

Revision 1.43  2008/07/19 15:11:54  megabajt
- r35177

Revision 1.42  2008/06/10 15:10:25  patrys
- r34469

Revision 1.41  2008-06-03 13:32:24  patrys
- r34318

Revision 1.40  2008-05-29 15:36:54  patrys
- r34192

Revision 1.39  2008-05-10 14:06:17  patrys
- BR: libXt-devel

Revision 1.38  2008-05-02 23:28:49  patrys
- r32822

Revision 1.37  2008-04-25 19:43:03  qboosh
- sorted BRs

Revision 1.36  2008-04-24 17:36:08  arekm
- enable dom storage; icon db; svg filters

Revision 1.35  2008-04-24 15:46:20  sls
- gtk-webkit-devel R: libicu-devel

Revision 1.34  2008-04-24 12:51:31  sls
- more BR

Revision 1.33  2008-04-21 13:02:15  patrys
- build with SVG support
- use pango for layout

Revision 1.32  2008-04-21 09:27:04  patrys
- r32284

Revision 1.31  2008-04-01 19:48:34  patrys
- r31446

Revision 1.30  2008-03-21 18:05:31  patrys
- wrong rel, use 1

Revision 1.29  2008-03-21 18:04:54  patrys
- r31201

Revision 1.28  2008-03-14 22:43:47  arekm
- rel .3; fix ppc build

Revision 1.27  2008-03-09 23:57:05  patrys
- use correct names
- rel 2

Revision 1.26  2008-03-09 23:02:43  patrys
- 30885

Revision 1.25  2008-02-28 15:32:09  patrys
- r30628

Revision 1.24  2008-02-20 13:17:05  patrys
- r30377

Revision 1.23  2008-02-12 16:28:43  patrys
- r30153

Revision 1.22  2008-02-10 21:12:28  patrys
- r30122

Revision 1.21  2008-02-08 16:28:26  patrys
- current snap
- use GNOME build path instead of qmake

Revision 1.20  2008-02-07 22:41:21  patrys
- actually use the correct include dir

Revision 1.19  2008-02-07 21:47:29  patrys
- r30053

Revision 1.18  2008-01-24 10:47:46  patrys
- current snap

Revision 1.17  2008-01-04 19:15:44  qboosh
- qt4-qmake -> qmake-qt4

Revision 1.16  2008-01-02 18:31:41  patrys
- r29079

Revision 1.15  2007-12-17 11:25:04  patrys
- r28767

Revision 1.14  2007-12-10 01:04:06  patrys
- current snap

Revision 1.13  2007-12-04 17:17:08  patrys
- current version

Revision 1.12  2007-11-23 16:40:08  patrys
- current snap
- proper packaging

Revision 1.11  2007/10/31 11:03:41  patrys
- r27208

Revision 1.10  2007/10/23 13:38:57  patrys
- patch obsolete, use build param

Revision 1.9  2007/10/23 13:32:56  patrys
- r26865

Revision 1.8  2007/10/04 15:16:49  patrys
- use version from pkgconfig

Revision 1.7  2007/10/04 15:14:06  patrys
- current snap
- use nightly snaps
- module name changed

Revision 1.6  2007/09/10 08:45:13  patrys
- current snap

Revision 1.5  2007/08/27 13:07:33  patrys
- current snapshot

Revision 1.4  2007/08/25 15:39:53  qboosh
- todo: optflags
- simplified install

Revision 1.3  2007/08/25 15:38:08  qboosh
- BR+R at least libstdc++-devel
- no references to nrcore inside

Revision 1.2  2007/08/11 20:42:26  patrys
- missing R: name

Revision 1.1  2007/08/11 20:39:16  patrys
- initial PLD release
